# [WordPress - puddinq style](https://www.puddinq.com)

[![puddinq](http://www.puddinq.nl/wip/netwerk-monitor.jpg)](http://www.puddinq.mobi)

Custom plugin made for [puddinq.mobi](https://www.puddinq.mobi).

* Project: [https://bitbucket.org/wonder32/wordpress/](https://bitbucket.org/wonder32/wordpress/)
* Package: [https://packages.puddinq.com/](https://packages.puddinq.com/?#wordpress)
* Website: [puddinq.nl](https://www.puddinq.com)
* Author : [wonder32](https://puddinq.mobi/wip/stefan-schotvanger/)

## Build the project
clone the repository
> `git clone git@bitbucket.org:wonder32/wordpress.git {name}`

move into the directory
> `cd {name}`

initiate the installation
> `composer install`

## Add plugins and themes

Find the theme or plugin at [wpackagist.org] (https://wpackagist.org)

Add themes
> `composer require wpackagist-theme/{theme name}`

Add plugins
> `composer require wpackagist-plugin/{theme name}`

You will be asked for
> What is the value of WP_ENV? development / staging / production   
> What is the value of DB_NAME? databasename  
> What is the value of DB_USER? databaseuser  
> What is the value of DB_PASSWORD? blabla  
> What is the value of DB_HOST? localhost / localhost:3307  
> What is the value of DB_PREFIX? wp_  
> What is the value of WP_HOME? http://dev.example.nl  
> What is the value of WP_MEMORY_LIMIT? 512M / 128M  
